import React, { Component } from "react";
import { observer, inject } from "mobx-react";
import { Input, Form } from "antd";
import { MINIOOSS_IMAGE_HOSTING } from "../../utils/constant";

const formItemLayout = {
  labelCol: {
    xs: { span: 6 }
  },
  wrapperCol: {
    xs: { span: 16 }
  }
};

@inject("imageHosting")
@observer
class MinioOSS extends Component {
  constructor(props) {
    super(props);
    // 从localstorage里面读取
    const imageHosting = JSON.parse(
      localStorage.getItem(MINIOOSS_IMAGE_HOSTING)
    );
    this.state = {
      imageHosting
    };
  }

  endPointChange = e => {
    const { imageHosting } = this.state;
    imageHosting.endPoint = e.target.value;
    this.setState({ imageHosting });
    localStorage.setItem(MINIOOSS_IMAGE_HOSTING, JSON.stringify(imageHosting));
  };

  accessKeyChange = e => {
    const { imageHosting } = this.state;
    imageHosting.accessKey = e.target.value;
    this.setState({ imageHosting });
    localStorage.setItem(MINIOOSS_IMAGE_HOSTING, JSON.stringify(imageHosting));
  };

  secretKeyChange = e => {
    const { imageHosting } = this.state;
    imageHosting.secretKey = e.target.value;
    this.setState({ imageHosting });
    localStorage.setItem(MINIOOSS_IMAGE_HOSTING, JSON.stringify(imageHosting));
  };

  bucketChange = e => {
    const { imageHosting } = this.state;
    imageHosting.bucket = e.target.value;
    this.setState({ imageHosting });
    localStorage.setItem(MINIOOSS_IMAGE_HOSTING, JSON.stringify(imageHosting));
  };

  render() {
    const { endPoint, accessKey, secretKey, bucket } = this.state.imageHosting;
    return (
      <Form {...formItemLayout}>
        <Form.Item label="Bucket" style={style.formItem}>
          <Input
            value={bucket}
            onChange={this.bucketChange}
            placeholder="例如：images"
          />
        </Form.Item>
        <Form.Item label="地址" style={style.formItem}>
          <Input
            value={endPoint}
            onChange={this.endPointChange}
            placeholder="例如：www.minio.com"
          />
        </Form.Item>
        <Form.Item label="Access Key" style={style.formItem}>
          <Input
            value={accessKey}
            onChange={this.accessKeyChange}
            placeholder="例如：Yf8RIyj4a9LrKEfTfR9c"
          />
        </Form.Item>
        <Form.Item label="Secret Key" style={style.formItem}>
          <Input
            value={secretKey}
            onChange={this.secretKeyChange}
            placeholder="例如：VYHasKGWmVdQFedtgR1E8lwgkVK6VqzEdWqPIuM9"
          />
        </Form.Item>
        <Form.Item label="提示" style={style.formItem}>
          <span>配置后请在右上角进行切换，</span>
          <a
            rel="noopener noreferrer"
            target="_blank"
            href="https://doc.luckday.cn"
          >
            MINIO图床配置文档
          </a>
        </Form.Item>
      </Form>
    );
  }
}

const style = {
  formItem: {
    marginBottom: "10px"
  }
};

export default MinioOSS;
